## lambda-align 1.0.0

=== debian/changelog ===
lambda-align (1.0.0-3) unstable; urgency=medium

  * Fix FTBFS on 32-bit platforms.
    Thanks to Hannes Hauswedell for patch review and polishing.
    Closes: #840027

 -- Sascha Steinbiss <satta@debian.org>  Mon, 10 Oct 2016 14:05:57 +0000

lambda-align (1.0.0-2) unstable; urgency=medium

  * Set versioned dependency for libseqan2-dev.
    Thanks to Aaron M. Ucko for the hint.
    Closes: #840028
  * Make build reproducible.
    Thanks to Chris Lamb for the patch.
    Closes: #840156
  * Force linking of librt and libpthread as a workaround until
    #840030 gets fixed in libseqan2-dev.
    This fixes builds on kFreeBSD, thanks to Aaron M. Ucko.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 09 Oct 2016 15:06:33 +0000

lambda-align (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #834940)

 -- Sascha Steinbiss <satta@debian.org>  Sat, 24 Sep 2016 21:56:47 +0000
