=== debian/watch ===
version=4
opts=repack,compression=xz \
https://github.com/seqan/lambda/tags .*/lambda-v?(\d.*)\.tar.gz
