## lambda-align 1.0.1

=== debian/changelog ===
lambda-align (1.0.1-2) unstable; urgency=medium

  * Set SeqAn_DIR to make sure SeqAn modules are found.
    This fixes FTBFS against libseqan2-dev 2.3.1.
  * Delete obsolete patch files.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Jan 2017 13:32:49 +0000

lambda-align (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied by upstream.
  * Set CMAKE_BUILD_TYPE=Release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 10 Jan 2017 16:04:18 +0100

lambda-align (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * d/watch: 
     - no recompression since no change in upstream tarball is needed
     - exclude 1.9 pre-releases
       Closes: #848543
  * debhelper 10
  * Remove extra license files in d/rules rather than in a patch

 -- Andreas Tille <tille@debian.org>  Sun, 18 Dec 2016 09:21:15 +0100
