=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 override_dh_auto_clean:
 	rm -f *.1
 	dh_auto_clean --
+
+override_dh_install:
+	dh_install
+	find debian -name "LICENSE*.rst" -delete
 
 override_dh_installman:
 	./build/bin/lambda --export-help man \
@@ -20,4 +24,4 @@
 	dh_installman --
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON
+	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON -DCMAKE_BUILD_TYPE=Release
