=== debian/watch ===
version=4
https://github.com/seqan/lambda/tags .*/lambda-v?(\d+\.[0-8][.\d]*)\.tar.gz
