## lambda-align 1.0.2

=== debian/changelog ===
lambda-align (1.0.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Add missing citation.

  [ Sascha Steinbiss ]
  * New upstream release.
  * Bump Standards-Version.
  * Add Lintian override for spelling false positive.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 30 Jun 2017 07:54:03 +0200
