=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/lambda-align.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/lambda-align.git
 Homepage: https://seqan.github.io/lambda
