=== debian/changelog ===
lambda-align (1.0.3-8) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * removing myself as an uploader

  [ Enrico Seiler ]
  * salsa ci: added
  * d/rules: respect DEB_BUILD_OPTIONS for parallel test running.

  [ Andreas Tille ]
  * Fix build using CMake 4
    Closes: #1113092
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Oct 2025 09:39:59 +0200

lambda-align (1.0.3-7) experimental; urgency=medium

  * Team upload.
  * d/control: Experimental rebuild using the 3rd release candidate of
    SeqAn 2.5.0
  * Added patch for the explicit seqan2 namespace.
  * salsa ci: added
  * Remove dependency on libseqan-dev for tests
  * d/rules: respect DEB_BUILD_OPTIONS for parallel test running.

 -- Enrico Seiler <enrico.seiler.debian@outlook.com>  Wed, 27 Nov 2024 01:36:30 +0100

lambda-align (1.0.3-6) unstable; urgency=medium

  * Reset CMAKE_BUILD_TYPE to "Release" for reproducibility.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Feb 2020 16:22:53 +0100

lambda-align (1.0.3-5) unstable; urgency=medium

  * Team upload.
  * Watch file reports only version 1
  * Document choice of version 1 in README.Debian
  * debhelper 12
  * CMAKE_BUILD_TYPE=RelWithDebInfo to get debug info

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 11:12:44 +0100

lambda-align (1.0.3-4) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 22:42:59 +0100

lambda-align (1.0.3-3) unstable; urgency=medium

  * Only run tests on certain archs. (Closes: #890851)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 21 Feb 2018 01:59:38 -0800

lambda-align (1.0.3-2) unstable; urgency=medium

  * Fix AutoPkgTests, tested locally with debci

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Feb 2018 02:00:59 -0800

lambda-align (1.0.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added ref to OMICtools registry.

  [ Michael R. Crusoe ]
  * New upstream release fixes Seqan 2.4.0 compat
  * Include CWL descriptions
  * Run the unit tests and make them available as AutoPkgTests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Feb 2018 12:19:04 -0800
