=== debian/control ===
Source: lambda-align
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Sascha Steinbiss <satta@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libseqan2-dev,
 cmake,
 zlib1g-dev,
 libbz2-dev,
 openssl,
Vcs-Browser: https://salsa.debian.org/med-team/lambda-align
Vcs-Git: https://salsa.debian.org/med-team/lambda-align.git
Homepage: https://seqan.github.io/lambda

Package: lambda-align
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 cwl-runner,
Description: Local Aligner for Massive Biological DatA
 Lambda is a local biosequence aligner optimized for many query sequences
 and searches in protein space. It is compatible to the de facto standard tool
 BLAST, but often outperforms the best currently available alternatives at
 reproducing BLAST’s results and is the fastest compared with the current
 state of the art at comparable levels of sensitivity.
