=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildopts.mk
 
 %:
 	dh $@ --builddirectory=build
@@ -24,4 +26,11 @@
 	dh_installman --
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON -DCMAKE_BUILD_TYPE=Release
+	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter amd64 arm64 mips64el ppc64el,$(DEB_BUILD_ARCH)))
+	cd build/tests && ctest $(DEB_BUILD_OPTION_PARALLEL)
+endif
+endif
