=== debian/tests/control ===
Tests: run-tests
Depends: @, cmake, openssl, gzip, coreutils, diffutils
Restrictions: allow-stderr
