=== debian/watch ===
Version: 5

Source: https://github.com/seqan/lambda
Matching-Pattern: refs/tags/lambda-v(1\.0[.\d]+)
Git-Mode: full
Mode: git
